%define upstream_name    Devel-PrettyTrace
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Prints stack traces with arguments expanded into readable format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Devel-PrettyTrace-0.04-perl518.patch

BuildRequires: perl(Data::Printer)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildArch: noarch

%description
This module allows you to see detailed and pretty formatted stack straces
of perl functions call. It exports a single function - 'bt'. In void
context, it sends it's output to STDERR. In scalar context, it returns you
collected data as string.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Jan 20 2014 pterjan <pterjan> 0.40.0-4.mga4
+ Revision: 567257
- (Badly) patch failing test for perl 5.18

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 365794
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 30 2011 jquelin <jquelin> 0.40.0-1.mga2
+ Revision: 116819
- imported package perl-Devel-PrettyTrace


* Thu Jun 30 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
